Ubuntu

libquicktime 1.2.2 transition

Reported by Alessio Treglia on 2011-04-30
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Debian
Fix Released
Unknown
dvgrab (Ubuntu)
Medium
Unassigned
gem (Ubuntu)
Medium
Unassigned
gmerlin (Ubuntu)
Medium
Unassigned
kino (Ubuntu)
Medium
Unassigned
libquicktime (Ubuntu)
Medium
Unassigned
mlt (Ubuntu)
Medium
Unassigned
smilutils (Ubuntu)
Medium
Unassigned
xawtv (Ubuntu)
Medium
Unassigned

Bug Description

I'm going to sync libquicktime 1.2.2 from Debian experimental, the following packages seem affected by this small transition and so need to rebuild:

dvgrab
gem
gmerlin
kino
mlt
pdp
smilutils
xawtv

Changed in libquicktime (Ubuntu):
importance: Undecided → Wishlist
importance: Wishlist → Medium
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libquicktime - 2:1.2.2-1

---------------
libquicktime (2:1.2.2-1) experimental; urgency=low

  * Team upload.

  [ Fabian Greffrath ]
  * The gtk_widget_set_can_default() function first appeared in gtk+-2.18,
    update Build-Depends accordingly.
  * 11-gtk+-2.24.patch: Patch to remove deprecation warning when compiling
    against new gtk libraries (Closes: #622050).
  * Bump Build-Depends to libgtk2.0-dev (>= 2.24) accordingly.
  * Remove 70-relibtoolize.patch in favour of dh-autoreconf.

  [ Alessio Treglia ]
  * Imported Upstream version 1.2.2:
    - Changes in 1.2.2:
      + This fixes compilation errors with newer gtk versions and a crash
        in the plugin registry.
    - Changes in 1.2.1:
      + This fixes compilation errors with newer x264 versions.
    - Changes in 1.2.0:
      + This brings reading and writing of compressed packets for lots of
        codecs. In addition lots of internals got cleaned up and several
        enhancements and fixes from the community got checked in.
  * Switch packaging to 3.0 (quilt) format.
  * Update debian/libquicktime-dev.install file:
    - lqt-config and lqt.m4 were removed by upstream.
  * debian/quicktime-utils.install: Add new lqtremux tool.
  * debian/control:
    - Build-Depends on autopoint.
    - Bump Standards.
    - Correct maintainer's name.
  * debian/rules:
    - Adjust order of rules inclusion to prevent the creation of
      debian/*.debhelper.log files. See bug#596099.
    - Link with --as-needed.
  * Bump SONAME:
    - Update debian/clean.
    - debian/control:
      + Introduce new libquicktime2 runtime.
      + Update libquicktime-dev's Depends field.
    - debian/patches/02-install-in-libquicktime1.patch:
      + Rename it as 02-install-in-libquicktime2.patch.
      + Refresh to reflect the SONAME change.
    - Rename and update debian/libquicktime1.install.
    - Add symbols file.
  * Refresh patches.
  * debian/patches/22-spelling_errors.patch:
    - Correct some misspellings.
  * debian/patches/23-manpage_errors.patch:
    - "-" must be escaped ("\-") to be interpreted as minus.
  * Symlink jquery.js to /usr/share/doc/libquicktime-doc/apiref/jquery.js.
  * Set libquicktime-doc depending on libjs-jquery.
  * Register documentation with doc-base.
  * Update copyright information, fix copyright-refers-to-symlink-license.
 -- Alessio Treglia <email address hidden> Fri, 29 Apr 2011 10:43:37 +0200

Changed in libquicktime (Ubuntu):
status: New → Fix Released
affects: dvgrab (Debian) → debian
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package dvgrab - 3.5-1build1

---------------
dvgrab (3.5-1build1) oneiric; urgency=low

  * No-change rebuild for libquicktime transition (LP: #773968).
 -- Alessio Treglia <email address hidden> Mon, 02 May 2011 01:38:39 +0200

Changed in dvgrab (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gem - 1:0.92.3-1ubuntu3

---------------
gem (1:0.92.3-1ubuntu3) oneiric; urgency=low

  * No-change rebuild for libquicktime transition (LP: #773968).
 -- Alessio Treglia <email address hidden> Mon, 02 May 2011 01:47:11 +0200

Changed in gem (Ubuntu):
status: New → Fix Released
Changed in dvgrab (Ubuntu):
importance: Undecided → Medium
Changed in gem (Ubuntu):
importance: Undecided → Medium
Changed in gmerlin (Ubuntu):
importance: Undecided → Medium
Changed in kino (Ubuntu):
importance: Undecided → Medium
Changed in mlt (Ubuntu):
importance: Undecided → Medium
Changed in xawtv (Ubuntu):
importance: Undecided → Medium
Changed in smilutils (Ubuntu):
importance: Undecided → Medium
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xawtv - 3.95.dfsg.1-8.1ubuntu3

---------------
xawtv (3.95.dfsg.1-8.1ubuntu3) oneiric; urgency=low

  * No-change rebuild to reflect libquicktime's new shlib (LP: #773968).
 -- Alessio Treglia <email address hidden> Mon, 02 May 2011 01:55:02 +0200

Changed in xawtv (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package smilutils - 0.3.2+cvs20070731-4.4build1

---------------
smilutils (0.3.2+cvs20070731-4.4build1) oneiric; urgency=low

  * No-change rebuild for libquicktime transition (LP: #773968).
 -- Alessio Treglia <email address hidden> Mon, 02 May 2011 09:54:44 +0200

Changed in smilutils (Ubuntu):
status: New → Fix Released
Alessio Treglia (quadrispro) wrote :

Needs to rebuild again to pick new shlibs.

Changed in dvgrab (Ubuntu):
status: Fix Released → New
Changed in gem (Ubuntu):
status: Fix Released → New
Changed in smilutils (Ubuntu):
status: Fix Released → New
Changed in xawtv (Ubuntu):
status: Fix Released → New
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package dvgrab - 3.5-1build2

---------------
dvgrab (3.5-1build2) oneiric; urgency=low

  * No-change rebuild to pick libquicktime's new shlib (LP: #773968).
 -- Alessio Treglia <email address hidden> Wed, 04 May 2011 16:23:59 +0200

Changed in dvgrab (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gem - 1:0.92.3-1ubuntu4

---------------
gem (1:0.92.3-1ubuntu4) oneiric; urgency=low

  * Rebuild to pick libquicktime's new shlib (LP: #773968).
 -- Alessio Treglia <email address hidden> Wed, 04 May 2011 18:51:09 +0200

Changed in gem (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gmerlin - 1.0.0~dfsg-4build1

---------------
gmerlin (1.0.0~dfsg-4build1) oneiric; urgency=low

  * No-change rebuild to pick libquicktime's new shlib (LP: #773968).
 -- Alessio Treglia <email address hidden> Wed, 04 May 2011 18:54:31 +0200

Changed in gmerlin (Ubuntu):
status: New → Fix Released
Alessio Treglia (quadrispro) wrote :

Should be fixed with 0.7.2-1 in Oneiric.

Changed in mlt (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package smilutils - 0.3.2+cvs20070731-4.4build2

---------------
smilutils (0.3.2+cvs20070731-4.4build2) oneiric; urgency=low

  * No-change rebuild to pick libquicktime's new shlib (LP: #773968).
 -- Alessio Treglia <email address hidden> Wed, 04 May 2011 19:21:43 +0200

Changed in smilutils (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xawtv - 3.95.dfsg.1-8.1ubuntu4

---------------
xawtv (3.95.dfsg.1-8.1ubuntu4) oneiric; urgency=low

  * No-change rebuild to pick libquicktime's new shlib (LP: #773968).
 -- Alessio Treglia <email address hidden> Wed, 04 May 2011 19:27:05 +0200

Changed in xawtv (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kino - 1.3.4-1.2ubuntu1

---------------
kino (1.3.4-1.2ubuntu1) oneiric; urgency=low

  * Merge from debian unstable, no remaining changes:
    - Add Breaks on udev: upgrade path goes thru Lucid that has a higher
      version. Dropped as it's not useful anymore.
    - Add 30_v4l1_includes.diff: integrated in Debian
    - Add missing libv4l-dev bd: integrated in Debian
    - configure.in. Check for libavcodec and libavutil: integrated in Debian
  * 99_fix_ftbfs_libav_0.7.patch: fix FTBFS with libav 0.7 because of
    deprecated functions (LP: #749217)
  * Rebuild for libquicktime 1.2.2 transition (lp: #773968)
 -- Fabrice Coutadeur <email address hidden> Sun, 17 Jul 2011 17:22:33 +0200

Changed in kino (Ubuntu):
status: New → Fix Released
Changed in debian:
status: Unknown → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.